# Basket Link View Component

A prebuilt basket link which incudes the Basket Count is included.

The link is unstyled and either requires styling within the partial cshtml file or using CSS.

The cshtml partial can be found at the following path:

Views -> Partials -> UmbCheckout -> \_BasketLink.cshtml

To be able to use the Basket Link View Component you will need to add the following to your `_ViewImports.cshtml` file

```cshtml
@addTagHelper *, UmbCheckout.Core
```

This will allow you to use the following tag helper:

```cshtml
<vc:basket-link></vc:basket-link>
```

Alternatively, you can load the View Component without using the tag helper:

```cshtml
@await Component.InvokeAsync(typeof(BasketLinkViewComponent))
```

### Configurable Properties

You can set the following properties

| Property     | Property Alias | Use                                       |
| ------------ | -------------- | ----------------------------------------- |
| basketAlias  | basket-alias   | The Content Type alias of the Basket page |
| linkName     | link-name      | The text shown on the link                |
| linkCssClass | link-css-class | The CSS class to be added to the \<a> tag |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbcheckout.net/view-components/basket-link-view-component.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
